{#
/**
 * @file
 * Template for the main page.
 */
#}
{% if page_attributes is empty %}
  {% set page_attributes = create_attribute() %}
{% endif %}

{# Check if regions are hidden by current entities settings #}
{% if node.field_hide_regions.0 %}
  {% set hide_header       = FALSE %}
  {% set hide_top_bar      = FALSE %}
  {% set hide_header_image = FALSE %}
  {% set hide_breadcrumbs  = FALSE %}
  {% set hide_footer       = FALSE %}

  {% for region in node.field_hide_regions %}
    {% if region.value == 'header' %}
      {% set hide_header = TRUE %}
    {% elseif region.value == 'top_bar' %}
      {% set hide_top_bar = TRUE %}
    {% elseif region.value == 'header_image' %}
      {% set hide_header_image = TRUE %}
    {% elseif region.value == 'breadcrumbs' %}
      {% set hide_breadcrumbs = TRUE %}
    {% elseif region.value == 'footer' %}
      {% set hide_footer = TRUE %}
    {% endif %}
  {% endfor %}
{% endif %}

{% block page_wrapper %}
  {% set page_classes = [
    'page'
  ]|merge(page_utility_classes ? page_utility_classes : []) %}
  <div {{ page_attributes.addClass(page_classes) }}>
    {% block page_header %}
      {% if not hide_header %}
        {% block page_metaheader %}
          {% set metaheader_left_rendered = page.metaheader_left|render %}
          {% set metaheader_right_rendered = page.metaheader_right|render %}
          {% if (metaheader_left_rendered is real_content) or (metaheader_right_rendered is real_content) %}
            {% include 'drowl_base:metaheader' with {
              left: page.metaheader_left,
              right: page.metaheader_right,
              container: 'fixed',
              color: 'light',
              metaheader_utility_classes: [
                'bg-light',
                'small'
              ],
              metaheader_row_utility_classes: [
                'justify-content-between'
              ],
              metaheader_first_utility_classes: [
                'col-auto'
              ],
              metaheader_last_utility_classes: [
                'col-auto'
              ],
            } %}
          {% endif %}
        {% endblock page_metaheader %}

        {% block page_header_top %}
          {{ page.header_top }}
        {% endblock %}

        {% if page.header %}
          {% block page_header_contents %}
            <header class="page__header mb-3">
              <div class="container-lg">
                {% block page_header_contents_inner %}
                  {{ page.header }}
                {% endblock page_header_contents_inner %}
              </div>
            </header>
          {% endblock page_header_contents %}
        {% endif %}
      {% endif %}

      {% block page_navbar %}
        {% if not hide_top_bar %}
          {#
            We cant override Twig blocks inside embed's, so define them before.
            To override the single blocks inside, you need to do this in the page_navbar block:
            {% set page_navbar_branding = block('page_navbar_branding', '@drowl_base/page/page.html.twig') %}
            and add this inside the embed:
            {% block branding %}
              {{ page_navbar_branding|raw }}
            {% endblock %}
          #}
          {% set page_navbar_branding %}
            {% block page_navbar_branding %}
              {% if page.navbar_branding %}
                {{ page.navbar_branding }}
              {% endif %}
            {% endblock page_navbar_branding %}
          {% endset %}

          {% set page_navbar_left %}
            {% block page_navbar_left %}
              {% if page.navbar_left %}
                <div class="page__navbar-left me-auto">
                  {{ page.navbar_left }}
                </div>
              {% endif %}
            {% endblock page_navbar_left %}
          {% endset %}

          {% set page_navbar_right %}
            {% block page_navbar_right %}
              {% if page.navbar_right %}
                <div class="page__navbar-right ms-auto">
                  {{ page.navbar_right }}
                </div>
              {% endif %}
            {% endblock page_navbar_right %}
          {% endset %}

          {% block page_navbar_output %}
            {% embed 'radix:navbar' with {
              id: 'page-navbar',
              navbar_container_type: 'lg',
              navbar_theme: 'light',
              placement: 'fixed-after-scroll',
              navbar_expand: 'lg',
              navbar_utility_classes: [
                'page__navbar',
                'bg-white',
                logged_in ? 'contextual-region'
              ],
            } %}
              {% block branding %}
                {{ page_navbar_branding }}
              {% endblock %}
              {% block left %}
                {{ page_navbar_left }}
              {% endblock %}
              {% block right %}
                {{ page_navbar_right }}
              {% endblock %}
            {% endembed %}
          {% endblock page_navbar_output %}
        {% endif %}
      {% endblock page_navbar %}

      {% block page_hero %}
        {% if not hide_header_image %}
          {# Check if and which header image type is active #}
          {% set header_image_field_rendered = page.header_image_entity_field|render %}
          {% if (header_image_field_rendered is real_content) %}
            {# Header image is overridden by current entities field "header_slide" #}
            {% set header_image_rendered = header_image_field_rendered %}
          {% else %}
            {% set header_image_blocks_rendered = page.header_image|render %}
            {% if (header_image_blocks_rendered is real_content) %}
              {% set header_image_rendered = header_image_blocks_rendered %}
            {% else %}
              {% set header_image_fallback_rendered = page.header_image_fallback|render %}
              {# No header image is set - show fallback block / region #}
              {% if (header_image_fallback_rendered is real_content) %}
                {% set header_image_rendered = header_image_fallback_rendered %}
              {% else %}
                {# No header image fallback - no header image at all to show! #}
              {% endif %}
            {% endif %}
          {% endif %}

          {% if hero_force_render or (header_image_rendered is real_content) %}
            <div class="page__header-hero-wrapper hero-wrapper">
              {% block page_hero_content %}
                {{ header_image_rendered }}
              {% endblock %}
            </div>
          {% endif %}
        {% endif %}
      {% endblock page_hero %}

      {% block page_offcanvas %}
        {% embed 'drowl_base:offcanvas' with {
          color: 'dark'
        } %}
          {% block top %}
            {% if page.offcanvas_top %}
              <div class="offcanvas-body__top">
                {{ page.offcanvas_top }}
              </div>
            {% endif %}
          {% endblock top %}
          {% block middle %}
            {% if page.offcanvas_middle %}
              <div class="offcanvas-body__middle">
                {{ page.offcanvas_middle }}
              </div>
            {% endif %}
          {% endblock middle %}
          {% block bottom %}
            {% if page.offcanvas_bottom %}
              <div class="offcanvas-body__bottom">
                {{ page.offcanvas_bottom }}
              </div>
            {% endif %}
          {% endblock bottom %}
        {% endembed %}
      {% endblock page_offcanvas %}
      {% block page_scrolled_down_marker %}
        {#
          Add marker to detect if the user has scrolled down
          (triggers the visibility of the scroll-to-top button)
        #}
        <div class="drowl-base-scrolled-down-marker" style="pointer-events:none; visibility:hidden; height:1px; width:1px; overflow:hidden; margin-bottom:-1px;">&nbsp;</div>
      {% endblock page_scrolled_down_marker %}
    {% endblock %}

    {% block page_content %}
      {% set page_main_classes = [
        'page__main'
      ]|merge(page_main_utility_classes ? page_main_utility_classes : []) %}

      <main{{content_attributes.addClass(page_main_classes)}}>
        {% block page_breadcrumbs %}
          {% set breadcrumbs_rendered = page.breadcrumbs|render %}
          {% if breadcrumbs_rendered is real_content and not hide_breadcrumbs %}
            <div class="page__breadcrumbs mb-3">
              <div class="container-lg">
                {% block page_breadcrumbs_inner %}
                  {{ page.breadcrumbs }}
                {% endblock page_breadcrumbs_inner %}
              </div>
            </div>
          {% endif %}
        {% endblock page_breadcrumbs %}

        {% if page.help %}
          {% block page_help %}
            {#
              Important: This always needs to be printed out, otherwise data-drupal-messages-fallback
              is not present and AJAX messages will fail.
              So, in this case we only remove the margin when empty.
            #}
            {% set page_help_rendered = page.help|render|striptags|trim %}
            <div class="page__help{% if page_help_rendered is real_content %} mb-3{% endif %}">
              <div class="container-lg">
                {% block page_help_inner %}
                  {{ page.help }}
                {% endblock page_help_inner %}
              </div>
            </div>
          {% endblock page_help %}
        {% endif %}

        {% if page.page_options %}
          {% block page_options %}
            {#
              Important: This always needs to be printed out, otherwise data-drupal-messages-fallback
              is not present and AJAX messages will fail.
              So, in this case we only remove the margin when empty.
            #}
            {% set page_options_rendered = page.page_options|render|striptags|trim %}
            {% if page_options_rendered is real_content %}
              <div class="page__options{% if page_options_rendered is real_content %} mb-3{% endif %}">
                <div class="container-lg">
                  {% block page_options_inner %}
                    {{ page.page_options }}
                  {% endblock page_options_inner %}
                </div>
              </div>
            {% endif %}
          {% endblock page_options %}
        {% endif %}

        {#
          Dont print the page title if Layout Builder is enabled for the current node.
          In this case the title will be added inside the Layout Builder layout.
        #}
        {% block page_title %}
          {% if not drowl_base_variables.layout_builder_enabled %}
            {{ page.page_title }}
          {% endif %}
        {% endblock page_title %}

        {% block page_content_main %}
          {% if page.content %}
            <div class="page__content" id="main-content">
              {# Print out container if the current page is not an entity.
                    On entities we print out the title as field / layout builder block. #}
              {% if (not drowl_base_variables.entity_type or drowl_base_variables.entity_type == 'webform') %}
                <div class="container-lg">
                {% endif %}
                {% block page_inner_content %}
                  {{ page.content }}
                {% endblock %}
                {% if (not drowl_base_variables.entity_type or drowl_base_variables.entity_type == 'webform') %}
                </div>
              {% endif %}
            </div>
          {% endif %}
        {% endblock page_content_main %}
      </main>
    {% endblock %}

    {% block page_footer %}
      {% if not hide_footer and (page.footer_top or page.footer_bottom or page.footer_cell_1 or page.footer_cell_2 or page.footer_cell_3 or page.footer_cell_4) %}
        <footer class="page__footer page-footer text-bg-dark">
          {% block page_footer_top %}
            {% if page.footer_top %}
              <div class="page-footer__top">
                {{ page.footer_top }}
              </div>
            {% endif %}
          {% endblock page_footer_top %}
          {% block page_footer_columns %}
            {% if page.footer_cell_1 or page.footer_cell_2 or page.footer_cell_3 or page.footer_cell_4 %}
              <div class="page__footer-columns container">
                <div class="row">
                  {% block page_footer_cell_1 %}
                    {% if page.footer_cell_1 %}
                      <div class="col-12 col-md-6 col-lg-3">
                        {{ page.footer_cell_1 }}
                      </div>
                    {% endif %}
                  {% endblock page_footer_cell_1 %}
                  {% block page_footer_cell_2 %}
                    {% if page.footer_cell_2 %}
                      <div class="col-12 col-md-6 col-lg-3">
                        {{ page.footer_cell_2 }}
                      </div>
                    {% endif %}
                  {% endblock page_footer_cell_2 %}
                  {% block page_footer_cell_3 %}
                    {% if page.footer_cell_3 %}
                      <div class="col-12 col-md-6 col-lg-3">
                        {{ page.footer_cell_3 }}
                      </div>
                    {% endif %}
                  {% endblock page_footer_cell_3 %}
                  {% block page_footer_cell_4 %}
                    {% if page.footer_cell_4 %}
                      <div class="col-12 col-md-6 col-lg-3">
                        {{ page.footer_cell_4 }}
                      </div>
                    {% endif %}
                  {% endblock page_footer_cell_4 %}
                </div>
              </div>
            {% endif %}
          {% endblock page_footer_columns %}
          {% block page_footer_bottom %}
            {% if page.footer_bottom %}
              <div class="page-footer__bottom bg-white py-2">
                {{ page.footer_bottom }}
              </div>
            {% endif %}
          {% endblock page_footer_bottom %}
        </footer>
      {% endif %}
    {% endblock %}
  </div>
{% endblock page_wrapper %}

{% block megamenu_backdrop %}
  <div class="megamenu-dim" id="megamenu-dim"></div>
{% endblock megamenu_backdrop %}

{% block scroll_top %}
  {#
    The scroll-top wrapper acts as :hover area to show the button,
    no matter what the current scroll position is.
  #}
  <div class="scroll-top">
    <a href="#" class="scroll-top__btn btn btn-dark btn-lg p-0" aria-label="{{ 'Scroll to top'|t }}">
      <i class="ico-db ico-db-arrow-up"></i>
    </a>
  </div>
{% endblock %}
{% if page.dock_bottom_left %}
  {{ page.dock_bottom_left }}
{% endif %}
{% if page.outer_page %}
  {{ page.outer_page }}
{% endif %}
{% if page.hidden_contents %}
  {{ page.hidden_contents }}
{% endif %}
